Defines the following events:

- `signal`: dispatched by Session
- `signal:TYPE`: dispatched by Session

### Hierarchy

- Event
  - SignalEvent

## Index

### Properties

- cancelable
- data
- from
- target
- type

### Methods

- isDefaultPrevented
- preventDefault

## Properties

### cancelable

cancelable: boolean

Inherited from Event.cancelable

- Defined in OpenViduInternal/Events/Event.ts:27

Whether the event has a default behaviour that may be prevented by calling Event.preventDefault

### data

data: string

- Defined in OpenViduInternal/Events/SignalEvent.ts:42

The message of the signal (can be emtpy)

### from

from: Connection

- Defined in OpenViduInternal/Events/SignalEvent.ts:47

The client that sent the signal

### target

target: Session | Subscriber | Publisher

Inherited from Event.target

- Defined in OpenViduInternal/Events/Event.ts:32

The object that dispatched the event

### type

type: string

Overrides Event.type

- Defined in OpenViduInternal/Events/SignalEvent.ts:37

The type of signal (can be empty).

The client must be subscribed to `Session.on('signal:type', function(signalEvent) {...})` to receive this object in the callback.

Subscribing to `Session.on('signal', function(signalEvent) {...})` will trigger all types of signals.

## Methods

### isDefaultPrevented

- isDefaultPrevented(): boolean

- Inherited from Event.isDefaultPrevented

  - Defined in OpenViduInternal/Events/Event.ts:53

  Whether the default beahivour of the event has been prevented or not. Call Event.preventDefault to prevent it

  #### Returns boolean

### preventDefault

- preventDefault(): void

- Inherited from Event.preventDefault

  - Defined in OpenViduInternal/Events/Event.ts:64

  Prevents the default behaviour of the event. The following events have a default behaviour:

  - `sessionDisconnected`: automatically unsubscribes the leaving participant from every Subscriber object of the session (this includes closing the WebRTCPeer connection and disposing all MediaStreamTracks) and also deletes the HTML video element associated to it.
  - `streamDestroyed`: if dispatched by a Publisher (you have unpublished), automatically stops all media tracks and deletes the HTML video element associated to the stream. If dispatched by Session, (other user has unpublished), automatically unsubscribes the proper Subscriber object from the session (this includes closing the WebRTCPeer connection and disposing all MediaStreamTracks) and deletes the HTML video element associated to it.

  #### Returns void

Generated using TypeDoc